=head1 NAME

B<addkit> - Adds product software Kits to an xCAT cluster environmnet.

=head1 SYNOPSIS

B<addkit> [B<-?>|B<-h>|B<--help>] [B<-v>|B<--version>]

B<addkit> [B<-i>|B<--inspection>] I<kitlist>

B<addkit> [B<-V>|B<--verbose>] [B<-p>|B<--path> I<path>] I<kitlist>

=head1 DESCRIPTION

The B<addkit> command installs a kit on the xCAT management node from a kit tarfile or directory.
It creates xCAT database definitions for the kit, kitrepo, and kitcomponent.

B<Note:> xCAT Kit support is ONLY available for Linux operating systems.

=head1 OPTIONS

=over 10

=item B<-h|--help>

Display usage message.

=item B<-V|--verbose>

Verbose mode.

=item B<-v|--version>

Command version.

=item B<-i|--inspection>

Show the summary of the given kits

=item B<-p|--path> I<path>

The destination directory to which the contents of the kit tarfiles and/or kit deploy directories will be copied.  When this option is not specified, the default destination directory will be formed from the installdir site attribute with ./kits subdirectory.

=item I<kitlist>

A comma delimited list of kit_tarball_files or kit_deploy_directories to be added to the xCAT environment. Each entry can be an absolute or relative path.  See xCAT documentation for more information on building kits.

=back

=head1 RETURN VALUE

0  The command completed successfully.

1  An error has occurred.

=head1 EXAMPLES

1. To add kits from tarball files:

 addkit kit-test1.tar.bz2,kit-test2.tar.bz2

2. To add kits from directories:

 addkit kit-test1,kit-test2

3. To add kits from tarball I<kit-test1.tar.bz2> to target path I</install/test>:

 addkit -p /install/test kit-test1.tar.bz2

4. To see general information about kit I<kit-test1.tar.bz2> without adding the kit to xCAT:

 addkit -i kit-test1.tar.bz2


=head1 SEE ALSO

L<lskit(1)|lskit.1>, L<rmkit(1)|rmkit.1>, L<addkitcomp(1)|addkitcomp.1>, L<rmkitcomp(1)|rmkitcomp.1>, L<chkkitcomp(1)|chkkitcomp.1>


